Index: t3lib/class.t3lib_tcemain.php
===================================================================
--- t3lib/class.t3lib_tcemain.php	(revision 9580)
+++ t3lib/class.t3lib_tcemain.php	(revision )
@@ -3802,28 +3801,42 @@
 											$copyTCE = t3lib_div::makeInstance('t3lib_TCEmain');
 											/* @var $copyTCE t3lib_TCEmain  */
 											$copyTCE->stripslashes_values = 0;
-											$copyTCE->cachedTSconfig = $this->cachedTSconfig;	// Copy forth the cached TSconfig
+											$copyTCE->cachedTSconfig = $this->cachedTSconfig; // Copy forth the cached TSconfig
-											$copyTCE->dontProcessTransformations=1;		// Transformations should NOT be carried out during copy
+											$copyTCE->dontProcessTransformations = 1; // Transformations should NOT be carried out during copy
 
-											$copyTCE->start(array($Ttable=>array('NEW'=>$overrideValues)),'',$this->BE_USER);
+											$copyTCE->start(array($Ttable => array('NEW' => $overrideValues)), '', $this->BE_USER);
 											$copyTCE->process_datamap();
 
 												// Getting the new UID as if it had been copied:
 											$theNewSQLID = $copyTCE->substNEWwithIDs['NEW'];
-											if ($theNewSQLID)	{
+											if ($theNewSQLID) {
 													// If is by design that $Ttable is used and not $table! See "l10nmgr" extension. Could be debated, but this is what I chose for this "pseudo case"
 												$this->copyMappingArray[$Ttable][$uid] = $theNewSQLID;
 												$newId = $theNewSQLID;
 											}
 										}
-									} else $this->newlog('Localization failed; There already was a localization for this language of the record!',1);
-								} else $this->newlog('Localization failed; Source record contained a reference to an original default record (which is strange)!',1);
-							} else $this->newlog('Localization failed; Source record had another language than "Default" or "All" defined!',1);
-						} else $this->newlog('Attempt to localize record that did not exist!',1);
-					} else $this->newlog('Attempt to localize record without permission',1);
-				} else $this->newlog('Sys language UID "'.$language.'" not found valid!',1);
-			} else $this->newlog('Localization failed; "languageField" and "transOrigPointerField" must be defined for the table!',1);
+									} else {
+										$this->newlog('Localization failed; There already was a localization for this language of the record!', 1);
-		}
+									}
+								} else {
+									$this->newlog('Localization failed; Source record contained a reference to an original default record (which is strange)!', 1);
+								}
+							} else {
+								$this->newlog('Localization failed; Source record had another language than "Default" or "All" defined!', 1);
+							}
+						} else {
+							$this->newlog('Attempt to localize record that did not exist!', 1);
+						}
+					} else {
+						$this->newlog('Attempt to localize record without permission', 1);
+					}
+				} else {
+					$this->newlog('Sys language UID "' . $language . '" not found valid!', 1);
+				}
+			} else {
+				$this->newlog('Localization failed; "languageField" and "transOrigPointerField" must be defined for the table!', 1);
+			}
+		}
 		return $newId;
 	}
 
@@ -3847,20 +3860,20 @@
 			$foreignTable = $config['foreign_table'];
 			$localizationMode = t3lib_BEfunc::getInlineLocalizationMode($table, $config);
 
-			if ($localizationMode=='select') {
+			if ($localizationMode == 'select') {
 				$parentRecord = t3lib_BEfunc::getRecordWSOL($table, $id);
 				$language = intval($parentRecord[$GLOBALS['TCA'][$table]['ctrl']['languageField']]);
 				$transOrigPointer = intval($parentRecord[$GLOBALS['TCA'][$table]['ctrl']['transOrigPointerField']]);
 				$childTransOrigPointerField = $GLOBALS['TCA'][$foreignTable]['ctrl']['transOrigPointerField'];
 
-				if ($parentRecord && is_array($parentRecord) && $language>0 && $transOrigPointer) {
+				if ($parentRecord && is_array($parentRecord) && $language > 0 && $transOrigPointer) {
 					$inlineSubType = $this->getInlineFieldType($config);
 					$transOrigRecord = t3lib_BEfunc::getRecordWSOL($table, $transOrigPointer);
 
-					if ($inlineSubType!==false) {
+					if ($inlineSubType !== FALSE) {
 						$removeArray = array();
 							// Fetch children from original language parent:
-							// @var $dbAnalysisOriginal t3lib_loadDBGroup
+						/** @var $dbAnalysisOriginal t3lib_loadDBGroup */
 						$dbAnalysisOriginal = t3lib_div::makeInstance('t3lib_loadDBGroup');
 						$dbAnalysisOriginal->start($transOrigRecord[$field], $foreignTable, '', $transOrigRecord['uid'], $table, $config);
 						$elementsOriginal = array();
@@ -3873,10 +3886,10 @@
 						$dbAnalysisCurrent = t3lib_div::makeInstance('t3lib_loadDBGroup');
 						$dbAnalysisCurrent->start($parentRecord[$field], $foreignTable, '', $id, $table, $config);
 							// Perform synchronization: Possibly removal of already localized records:
-						if ($type=='synchronize') {
+						if ($type == 'synchronize') {
 							foreach ($dbAnalysisCurrent->itemArray as $index => $item) {
 								$childRecord = t3lib_BEfunc::getRecordWSOL($item['table'], $item['id']);
-								if (isset($childRecord[$childTransOrigPointerField]) && $childRecord[$childTransOrigPointerField]>0) {
+								if (isset($childRecord[$childTransOrigPointerField]) && $childRecord[$childTransOrigPointerField] > 0) {
 									$childTransOrigPointer = $childRecord[$childTransOrigPointerField];
 										// If snychronization is requested, child record was translated once, but original record does not exist anymore, remove it:
 									if (!isset($elementsOriginal[$childTransOrigPointer])) {
@@ -3905,17 +3918,17 @@
 							// Remove child records (if synchronization requested it):
 						if (is_array($removeArray) && count($removeArray)) {
 							$tce = t3lib_div::makeInstance('t3lib_TCEmain');
-							$tce->stripslashes_values = false;
+							$tce->stripslashes_values = FALSE;
 							$tce->start(array(), $removeArray);
 							$tce->process_cmdmap();
 							unset($tce);
 						}
 							// Handle, reorder and store relations:
-						if ($inlineSubType=='list') {
+						if ($inlineSubType == 'list') {
 							$updateFields = array($field => $value);
-						} elseif ($inlineSubType=='field') {
+						} elseif ($inlineSubType == 'field') {
 							$dbAnalysisCurrent->writeForeignField($config, $id);
-							$updateFields = array($field => $dbAnalysisCurrent->countItems(false));
+							$updateFields = array($field => $dbAnalysisCurrent->countItems(FALSE));
 						}
 							// Update field referencing to child records of localized parent record:
 						if (is_array($updateFields) && count($updateFields)) {
@@ -3928,14 +3941,6 @@
 	}
 
 
-
-
-
-
-
-
-
-
 	/*********************************************
 	 *
 	 * Cmd: Deleting
@@ -3949,7 +3954,7 @@
 	 * @param	integer		Record UID
 	 * @return	void
 	 */
-	function deleteAction($table, $id)	{
+	function deleteAction($table, $id) {
 		global $TYPO3_CONF_VARS;
 
 		$recordToDelete = t3lib_BEfunc::getRecord($table, $id);
@@ -3983,11 +3988,11 @@
 	 * @param	boolean		If TRUE, the "deleted" flag is ignored if applicable for record and the record is deleted COMPLETELY!
 	 * @return	void
 	 */
-	function deleteEl($table, $uid, $noRecordCheck=FALSE, $forceHardDelete=FALSE)	{
+	function deleteEl($table, $uid, $noRecordCheck = FALSE, $forceHardDelete = FALSE) {
-		if ($table == 'pages')	{
+		if ($table == 'pages') {
 			$this->deletePages($uid, $noRecordCheck, $forceHardDelete);
 		} else {
-			$this->deleteVersionsForRecord($table,$uid,$forceHardDelete);
+			$this->deleteVersionsForRecord($table, $uid, $forceHardDelete);
 			$this->deleteRecord($table, $uid, $noRecordCheck, $forceHardDelete);
 		}
 	}
@@ -4000,12 +4005,12 @@
 	 * @param	boolean		If TRUE, the "deleted" flag is ignored if applicable for record and the record is deleted COMPLETELY!
 	 * @return	void
 	 */
-	function deleteVersionsForRecord($table, $uid, $forceHardDelete)	{
+	function deleteVersionsForRecord($table, $uid, $forceHardDelete) {
 		$versions = t3lib_BEfunc::selectVersionsOfRecord($table, $uid, 'uid,pid');
-		if (is_array($versions))	{
+		if (is_array($versions)) {
-			foreach($versions as $verRec)	{
+			foreach ($versions as $verRec) {
-				if (!$verRec['_CURRENT_VERSION'])	{
+				if (!$verRec['_CURRENT_VERSION']) {
-					if ($table == 'pages')	{
+					if ($table == 'pages') {
 						$this->deletePages($verRec['uid'], TRUE, $forceHardDelete);
 					} else {
 						$this->deleteRecord($table, $verRec['uid'], TRUE, $forceHardDelete);
@@ -4022,9 +4027,9 @@
 	 * @param	integer		Record UID
 	 * @return	void
 	 */
-	function undeleteRecord($table,$uid)	{
+	function undeleteRecord($table, $uid) {
 		if ($this->isRecordUndeletable($table, $uid)) {
-			$this->deleteRecord($table, $uid, true, false, true);
+			$this->deleteRecord($table, $uid, TRUE, FALSE, TRUE);
 		}
 	}
 
@@ -4041,23 +4046,23 @@
 	 * @param	boolean		If TRUE, the "deleted" flag is set to 0 again and thus, the item is undeleted.
 	 * @return	void
 	 */
-	function deleteRecord($table,$uid, $noRecordCheck = FALSE, $forceHardDelete = FALSE, $undeleteRecord = FALSE) {
+	function deleteRecord($table, $uid, $noRecordCheck = FALSE, $forceHardDelete = FALSE, $undeleteRecord = FALSE) {
 		global $TCA;
 
 			// Checking if there is anything else disallowing deleting the record by checking if editing is allowed
 		$mayEditAccess = $this->BE_USER->recordEditAccessInternals($table, $uid, FALSE, $undeleteRecord, TRUE);
 
 		$uid = intval($uid);
-		if ($TCA[$table] && $uid)	{
+		if ($TCA[$table] && $uid) {
-			if ($mayEditAccess)	{
+			if ($mayEditAccess) {
-				if ($noRecordCheck || $this->doesRecordExist($table,$uid,'delete'))	{
+				if ($noRecordCheck || $this->doesRecordExist($table, $uid, 'delete')) {
-					$this->clear_cache($table,$uid);	// clear cache before deleting the record, else the correct page cannot be identified by clear_cache
+					$this->clear_cache($table, $uid); // clear cache before deleting the record, else the correct page cannot be identified by clear_cache
 
 					$propArr = $this->getRecordProperties($table, $uid);
 					$pagePropArr = $this->getRecordProperties('pages', $propArr['pid']);
 
 					$deleteRow = $TCA[$table]['ctrl']['delete'];
-					if ($deleteRow && !$forceHardDelete)	{
+					if ($deleteRow && !$forceHardDelete) {
 						$value = $undeleteRecord ? 0 : 1;
 						$updateFields = array(
 							$deleteRow => $value
@@ -4068,15 +4073,15 @@
 						}
 
 							// If the table is sorted, then the sorting number is set very high
-						if ($TCA[$table]['ctrl']['sortby'] && !$undeleteRecord)	{
+						if ($TCA[$table]['ctrl']['sortby'] && !$undeleteRecord) {
 							$updateFields[$TCA[$table]['ctrl']['sortby']] = 1000000000;
 						}
 
 							// before (un-)deleting this record, check for child records or references
 						$this->deleteRecord_procFields($table, $uid, $undeleteRecord);
-						$GLOBALS['TYPO3_DB']->exec_UPDATEquery($table, 'uid='.intval($uid), $updateFields);
+						$GLOBALS['TYPO3_DB']->exec_UPDATEquery($table, 'uid=' . intval($uid), $updateFields);
 
-							 // delete all l10n records aswell, impossible during undelete because it might bring too many records back to life
+							// delete all l10n records aswell, impossible during undelete because it might bring too many records back to life
 						if (!$undeleteRecord) {
 							$this->deleteL10nOverlayRecords($table, $uid);
 						}
@@ -4084,63 +4089,63 @@
 
 							// Fetches all fields with flexforms and look for files to delete:
 						t3lib_div::loadTCA($table);
-						foreach($TCA[$table]['columns'] as $fieldName => $cfg)	{
+						foreach ($TCA[$table]['columns'] as $fieldName => $cfg) {
 							$conf = $cfg['config'];
 
-							switch($conf['type'])	{
+							switch ($conf['type']) {
 								case 'flex':
 									$flexObj = t3lib_div::makeInstance('t3lib_flexformtools');
-									$flexObj->traverseFlexFormXMLData($table,$fieldName,t3lib_BEfunc::getRecordRaw($table,'uid='.intval($uid)),$this,'deleteRecord_flexFormCallBack');
+									$flexObj->traverseFlexFormXMLData($table, $fieldName, t3lib_BEfunc::getRecordRaw($table, 'uid=' . intval($uid)), $this, 'deleteRecord_flexFormCallBack');
 								break;
 							}
 						}
 
 							// Fetches all fields that holds references to files
 						$fileFieldArr = $this->extFileFields($table);
-						if (count($fileFieldArr))	{
+						if (count($fileFieldArr)) {
-							$mres = $GLOBALS['TYPO3_DB']->exec_SELECTquery(implode(',',$fileFieldArr), $table, 'uid='.intval($uid));
+							$mres = $GLOBALS['TYPO3_DB']->exec_SELECTquery(implode(',', $fileFieldArr), $table, 'uid=' . intval($uid));
-							if ($row = $GLOBALS['TYPO3_DB']->sql_fetch_assoc($mres))	{
+							if ($row = $GLOBALS['TYPO3_DB']->sql_fetch_assoc($mres)) {
 								$fArray = $fileFieldArr;
-								foreach($fArray as $theField)	{	// MISSING: Support for MM file relations!
+								foreach ($fArray as $theField) { // MISSING: Support for MM file relations!
-									$this->extFileFunctions($table,$theField,$row[$theField],'deleteAll');		// This deletes files that belonged to this record.
+									$this->extFileFunctions($table, $theField, $row[$theField], 'deleteAll'); // This deletes files that belonged to this record.
 								}
 							} else {
-								$this->log($table,$uid,3,0,100,'Delete: Zero rows in result when trying to read filenames from record which should be deleted');
+								$this->log($table, $uid, 3, 0, 100, 'Delete: Zero rows in result when trying to read filenames from record which should be deleted');
 							}
 						}
 
 							// Delete the hard way...:
-						$GLOBALS['TYPO3_DB']->exec_DELETEquery($table, 'uid='.intval($uid));
+						$GLOBALS['TYPO3_DB']->exec_DELETEquery($table, 'uid=' . intval($uid));
 
 						$this->deleteL10nOverlayRecords($table, $uid);
 					}
 
-					$state = $undeleteRecord ? 1 : 3;	// 1 means insert, 3 means delete
+					$state = $undeleteRecord ? 1 : 3; // 1 means insert, 3 means delete
-					if (!$GLOBALS['TYPO3_DB']->sql_error())	{
+					if (!$GLOBALS['TYPO3_DB']->sql_error()) {
 						if ($forceHardDelete) {
 							$message = "Record '%s' (%s) was deleted unrecoverable from page '%s' (%s)";
 						}
 						else {
 							$message = $state == 1 ?
-								"Record '%s' (%s) was restored on page '%s' (%s)" :
-								"Record '%s' (%s) was deleted from page '%s' (%s)";
+									"Record '%s' (%s) was restored on page '%s' (%s)" :
+									"Record '%s' (%s) was deleted from page '%s' (%s)";
 						}
 						$this->log($table, $uid, $state, 0, 0,
-									$message, 0,
-									array(
+								   $message, 0,
+								   array(
 										$propArr['header'],
-										$table.':'.$uid,
+										$table . ':' . $uid,
 										$pagePropArr['header'],
 										$propArr['pid']
-										),
-									$propArr['event_pid']);
+								   ),
+								   $propArr['event_pid']);
 
 					} else {
-						$this->log($table,$uid,$state,0,100,$GLOBALS['TYPO3_DB']->sql_error());
+						$this->log($table, $uid, $state, 0, 100, $GLOBALS['TYPO3_DB']->sql_error());
 					}
 
 						// Update reference index:
-					$this->updateRefIndex($table,$uid);
+					$this->updateRefIndex($table, $uid);
 
 						// if there are entries in the updateRefIndexStack
 					if (is_array($this->updateRefIndexStack[$table]) && is_array($this->updateRefIndexStack[$table][$uid])) {
@@ -4151,10 +4156,14 @@
 						unset($this->updateRefIndexStack[$table][$uid]);
 					}
 
-				} else $this->log($table,$uid,3,0,1,'Attempt to delete record without delete-permissions');
-			} else $this->log($table,$uid,3,0,1,'Attempt to delete record without delete-permissions. ['.$this->BE_USER->errorMsg.']');
+				} else {
+					$this->log($table, $uid, 3, 0, 1, 'Attempt to delete record without delete-permissions');
-		}
+				}
+			} else {
+				$this->log($table, $uid, 3, 0, 1, 'Attempt to delete record without delete-permissions. [' . $this->BE_USER->errorMsg . ']');
-	}
+			}
+		}
+	}
 
 	/**
 	 * Call back function for deleting file relations for flexform fields in records which are being completely deleted.
@@ -4173,11 +4182,11 @@
 		$files = $refIndexObj->getRelations_procFiles($dataValue, $dsArr['TCEforms']['config'], $PA['uid']);
 
 			// Traverse files and delete them:
-		if (is_array($files))	{
+		if (is_array($files)) {
-			foreach($files as $dat)	{
+			foreach ($files as $dat) {
-				if (@is_file($dat['ID_absFile']))	{
+				if (@is_file($dat['ID_absFile'])) {
-					unlink ($dat['ID_absFile']);
+					unlink($dat['ID_absFile']);
-#echo 'DELETE FlexFormFile:'.$dat['ID_absFile'].LF;
+					#echo 'DELETE FlexFormFile:'.$dat['ID_absFile'].LF;
 				} else {
 					$this->log('', 0, 3, 0, 100, "Delete: Referenced file '" . $dat['ID_absFile'] . "' that was supposed to be deleted together with its record which didn't exist");
 				}
@@ -4193,22 +4202,22 @@
 	 * @param	boolean		If TRUE, the "deleted" flag is ignored if applicable for record and the record is deleted COMPLETELY!
 	 * @return	void
 	 */
-	function deletePages($uid,$force=FALSE,$forceHardDelete=FALSE)	{
+	function deletePages($uid, $force = FALSE, $forceHardDelete = FALSE) {
 			// Getting list of pages to delete:
-		if ($force)	{
+		if ($force) {
-			$brExist = $this->doesBranchExist('',$uid,0,1);		// returns the branch WITHOUT permission checks (0 secures that)
+			$brExist = $this->doesBranchExist('', $uid, 0, 1); // returns the branch WITHOUT permission checks (0 secures that)
-			$res = t3lib_div::trimExplode(',',$brExist.$uid,1);
+			$res = t3lib_div::trimExplode(',', $brExist . $uid, 1);
 		} else {
 			$res = $this->canDeletePage($uid);
 		}
 
 			// Perform deletion if not error:
-		if (is_array($res))	{
+		if (is_array($res)) {
-			foreach($res as $deleteId)	{
+			foreach ($res as $deleteId) {
-				$this->deleteSpecificPage($deleteId,$forceHardDelete);
+				$this->deleteSpecificPage($deleteId, $forceHardDelete);
 			}
 		} else {
-			$this->newlog($res,1);
+			$this->newlog($res, 1);
 		}
 	}
 
@@ -4221,21 +4230,21 @@
 	 * @access private
 	 * @see deletePages()
 	 */
-	function deleteSpecificPage($uid,$forceHardDelete=FALSE)	{
+	function deleteSpecificPage($uid, $forceHardDelete = FALSE) {
 		$uid = intval($uid);
-		if ($uid)	{
+		if ($uid) {
 			foreach (array_keys($GLOBALS['TCA']) as $table) {
-				if ($table!='pages')	{
+				if ($table != 'pages') {
-					$mres = $GLOBALS['TYPO3_DB']->exec_SELECTquery('uid', $table, 'pid='.intval($uid).$this->deleteClause($table));
+					$mres = $GLOBALS['TYPO3_DB']->exec_SELECTquery('uid', $table, 'pid=' . intval($uid) . $this->deleteClause($table));
-					while ($row = $GLOBALS['TYPO3_DB']->sql_fetch_assoc($mres))	{
+					while ($row = $GLOBALS['TYPO3_DB']->sql_fetch_assoc($mres)) {
-						$this->deleteVersionsForRecord($table,$row['uid'],$forceHardDelete);
+						$this->deleteVersionsForRecord($table, $row['uid'], $forceHardDelete);
-						$this->deleteRecord($table,$row['uid'], TRUE, $forceHardDelete);
+						$this->deleteRecord($table, $row['uid'], TRUE, $forceHardDelete);
 					}
 					$GLOBALS['TYPO3_DB']->sql_free_result($mres);
 				}
 			}
-			$this->deleteVersionsForRecord('pages',$uid,$forceHardDelete);
+			$this->deleteVersionsForRecord('pages', $uid, $forceHardDelete);
-			$this->deleteRecord('pages',$uid, TRUE, $forceHardDelete);
+			$this->deleteRecord('pages', $uid, TRUE, $forceHardDelete);
 		}
 	}
 
@@ -4245,12 +4254,12 @@
 	 * @param	integer		Page id
 	 * @return	mixed		If array: List of page uids to traverse and delete (means OK), if string: error code.
 	 */
-	function canDeletePage($uid)	{
+	function canDeletePage($uid) {
-		if ($this->doesRecordExist('pages',$uid,'delete'))	{	// If we may at all delete this page
+		if ($this->doesRecordExist('pages', $uid, 'delete')) { // If we may at all delete this page
-			if ($this->deleteTree)	{
+			if ($this->deleteTree) {
-				$brExist = $this->doesBranchExist('',$uid,$this->pMap['delete'],1);	// returns the branch
+				$brExist = $this->doesBranchExist('', $uid, $this->pMap['delete'], 1); // returns the branch
-				if ($brExist != -1)	{	// Checks if we had permissions
+				if ($brExist != -1) { // Checks if we had permissions
-					if ($this->noRecordsFromUnallowedTables($brExist.$uid))	{
+					if ($this->noRecordsFromUnallowedTables($brExist . $uid)) {
 						$pagesInBranch = t3lib_div::trimExplode(',', $brExist . $uid, 1);
 						foreach ($pagesInBranch as $pageInBranch) {
 							if (!$this->BE_USER->recordEditAccessInternals('pages', $pageInBranch, FALSE, FALSE, TRUE)) {
@@ -4258,20 +4267,32 @@
 							}
 						}
 						return $pagesInBranch;
-					} else return 'Attempt to delete records from disallowed tables';
-				} else return 'Attempt to delete pages in branch without permissions';
-			} else {
+					} else {
+						return 'Attempt to delete records from disallowed tables';
+					}
+				} else {
+					return 'Attempt to delete pages in branch without permissions';
+				}
+			} else {
-				$brExist = $this->doesBranchExist('',$uid,$this->pMap['delete'],1);	// returns the branch
+				$brExist = $this->doesBranchExist('', $uid, $this->pMap['delete'], 1); // returns the branch
-				if ($brExist == '')	{	// Checks if branch exists
+				if ($brExist == '') { // Checks if branch exists
-				if ($this->noRecordsFromUnallowedTables($uid))	{
+					if ($this->noRecordsFromUnallowedTables($uid)) {
 						if ($this->BE_USER->recordEditAccessInternals('pages', $uid, FALSE, FALSE, TRUE)) {
 							return array($uid);
-						} else return 'Attempt to delete page which has prohibited localizations.';
-					} else return 'Attempt to delete records from disallowed tables';
-				} else return 'Attempt to delete page which has subpages';
+						} else {
+							return 'Attempt to delete page which has prohibited localizations.';
-			}
+						}
-		} else return 'Attempt to delete page without permissions';
+					} else {
+						return 'Attempt to delete records from disallowed tables';
-	}
+					}
+				} else {
+					return 'Attempt to delete page which has subpages';
+				}
+			}
+		} else {
+			return 'Attempt to delete page without permissions';
+		}
+	}
 
 	/**
 	 * Returns true if record CANNOT be deleted, otherwise false. Used to check before the versioning API allows a record to be marked for deletion.
@@ -4280,12 +4301,12 @@
 	 * @param	integer		Record UID
 	 * @return	string		Returns a string IF there is an error (error string explaining). FALSE means record can be deleted
 	 */
-	function cannotDeleteRecord($table,$id)	{
+	function cannotDeleteRecord($table, $id) {
-		if ($table==='pages')	{
+		if ($table === 'pages') {
 			$res = $this->canDeletePage($id);
 			return is_array($res) ? FALSE : $res;
 		} else {
-			return $this->doesRecordExist($table,$id,'delete') ? FALSE : 'No permission to delete record';
+			return $this->doesRecordExist($table, $id, 'delete') ? FALSE : 'No permission to delete record';
 		}
 	}
 
@@ -4309,7 +4330,7 @@
 				$this->log(
 					$table, $uid, 'isRecordUndeletable', '', 1,
 					'Record cannot be undeleted since the page containing it is deleted! Undelete page "' .
-						$page['title'] . ' (UID: ' . $page['uid'] . ')" first'
+					$page['title'] . ' (UID: ' . $page['uid'] . ')" first'
 				);
 			}
 		} else {
@@ -4327,12 +4348,12 @@
 	 * @param	string		$uid: Record UID
 	 * @param	boolean		$undeleteRecord: If a record should be undeleted (e.g. from history/undo)
 	 * @return	void
-	 * @see 	deleteRecord()
+	 * @see	 deleteRecord()
 	 */
-	function deleteRecord_procFields($table, $uid, $undeleteRecord = false) {
+	function deleteRecord_procFields($table, $uid, $undeleteRecord = FALSE) {
 		t3lib_div::loadTCA($table);
 		$conf = $GLOBALS['TCA'][$table]['columns'];
-		$row = t3lib_BEfunc::getRecord($table, $uid, '*', '', false);
+		$row = t3lib_BEfunc::getRecord($table, $uid, '*', '', FALSE);
 
 		foreach ($row as $field => $value) {
 			$this->deleteRecord_procBasedOnFieldType($table, $uid, $field, $value, $conf[$field]['config'], $undeleteRecord);
@@ -4350,10 +4371,10 @@
 	 * @param	array		$conf: TCA configuration of current field
 	 * @param	boolean		$undeleteRecord: If a record should be undeleted (e.g. from history/undo)
 	 * @return	void
-	 * @see 	deleteRecord()
+	 * @see	 deleteRecord()
 	 */
-	function deleteRecord_procBasedOnFieldType($table, $uid, $field, $value, $conf, $undeleteRecord = false) {
+	function deleteRecord_procBasedOnFieldType($table, $uid, $field, $value, $conf, $undeleteRecord = FALSE) {
-		if ($conf['type'] == 'inline')	{
+		if ($conf['type'] == 'inline') {
 			$foreign_table = $conf['foreign_table'];
 
 			if ($foreign_table) {
@@ -4361,11 +4382,11 @@
 				if ($inlineType == 'list' || $inlineType == 'field') {
 					$dbAnalysis = t3lib_div::makeInstance('t3lib_loadDBGroup');
 					$dbAnalysis->start($value, $conf['foreign_table'], '', $uid, $table, $conf);
-					$dbAnalysis->undeleteRecord = true;
+					$dbAnalysis->undeleteRecord = TRUE;
 
 						// walk through the items and remove them
 					foreach ($dbAnalysis->itemArray as $v) {
-						if (!$undeleteRecord)	{
+						if (!$undeleteRecord) {
 							$this->deleteAction($v['table'], $v['id']);
 						} else {
 							$this->undeleteRecord($v['table'], $v['id']);
@@ -4376,8 +4397,8 @@
 
 			// no delete action but calls to updateRefIndex *AFTER* this record was deleted
 		} elseif ($this->isReferenceField($conf)) {
-			$allowedTables = $conf['type']=='group' ? $conf['allowed'] : $conf['foreign_table'].','.$conf['neg_foreign_table'];
+			$allowedTables = $conf['type'] == 'group' ? $conf['allowed'] : $conf['foreign_table'] . ',' . $conf['neg_foreign_table'];
-			$prependName = $conf['type']=='group' ? $conf['prepend_tname'] : $conf['neg_foreign_table'];
+			$prependName = $conf['type'] == 'group' ? $conf['prepend_tname'] : $conf['neg_foreign_table'];
 
 			$dbAnalysis = t3lib_div::makeInstance('t3lib_loadDBGroup');
 			$dbAnalysis->start($value, $allowedTables, $conf['MM'], $uid, $table, $conf);
@@ -4408,17 +4429,13 @@
 
 		$l10nRecords = t3lib_BEfunc::getRecordsByField($table, $GLOBALS['TCA'][$table]['ctrl']['transOrigPointerField'], $uid, $where);
 		if (is_array($l10nRecords)) {
-			foreach($l10nRecords as $record) {
+			foreach ($l10nRecords as $record) {
 				$this->deleteAction($table, intval($record['t3ver_oid']) > 0 ? intval($record['t3ver_oid']) : intval($record['uid']));
 			}
 		}
 	}
 
 
-
-
-
-
 	/*********************************************
 	 *
 	 * Cmd: Versioning
@@ -4437,27 +4454,27 @@
 	 * @return	integer		Returns the id of the new version (if any)
 	 * @see copyRecord()
 	 */
-	function versionizeRecord($table,$id,$label,$delete=FALSE,$versionizeTree=-1)	{
+	function versionizeRecord($table, $id, $label, $delete = FALSE, $versionizeTree = -1) {
 		global $TCA;
 
 		$id = intval($id);
 
-		if ($TCA[$table] && $TCA[$table]['ctrl']['versioningWS'] && $id>0)	{
+		if ($TCA[$table] && $TCA[$table]['ctrl']['versioningWS'] && $id > 0) {
-			if ($this->doesRecordExist($table,$id,'show'))	{
+			if ($this->doesRecordExist($table, $id, 'show')) {
-				if ($this->BE_USER->workspaceVersioningTypeAccess($versionizeTree))	{
+				if ($this->BE_USER->workspaceVersioningTypeAccess($versionizeTree)) {
 
 						// Select main record:
-					$row = $this->recordInfo($table,$id,'pid,t3ver_id,t3ver_state');
+					$row = $this->recordInfo($table, $id, 'pid,t3ver_id,t3ver_state');
-					if (is_array($row))	{
+					if (is_array($row)) {
-						if ($row['pid']>=0)	{	// record must be online record
+						if ($row['pid'] >= 0) { // record must be online record
-							if ($row['t3ver_state']!=3)	{	// record must not be placeholder for moving.
+							if ($row['t3ver_state'] != 3) { // record must not be placeholder for moving.
-								if (!$delete || !$this->cannotDeleteRecord($table,$id)) {
+								if (!$delete || !$this->cannotDeleteRecord($table, $id)) {
 
 										// Look for next version number:
 									$res = $GLOBALS['TYPO3_DB']->exec_SELECTquery(
 										't3ver_id',
 										$table,
-										'((pid=-1 && t3ver_oid='.$id.') OR uid='.$id.')'.$this->deleteClause($table),
+										'((pid=-1 && t3ver_oid=' . $id . ') OR uid=' . $id . ')' . $this->deleteClause($table),
 										'',
 										't3ver_id DESC',
 										'1'
